"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

const _require = require("./hooks"),
      SERVICE_NAME = _require.SERVICE_NAME,
      hooks = (0, _objectWithoutPropertiesLoose2.default)(_require, ["SERVICE_NAME"]);

module.exports = ({
  registerAction,
  registerHook
}) => {
  registerHook(hooks);
  registerAction({
    hook: "$FASTIFY_HACKS_AFTER",
    name: SERVICE_NAME,
    handler: (_, {
      getContext
    }) => {
      const apollo = getContext("apollo", null);
      const fastify = getContext("fastify", null);

      if (fastify && apollo) {
        fastify.decorateRequest("apollo", apollo);
      }
    }
  });
};